> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-skingpt.md).

# API for SkinGPT

API reference for SkinGPT: manage effects and effect levels, upload images for simulation, and retrieve the generated images.

This page provides an overview of the SkinGPT API—the first skin effects try-on system that leverages advanced generative AI technologies, such as transformers, to simulate the effects of cosmetic skincare products, aging, and environmental impacts based on clinical claims.

For a product-level overview, see [SkinGPT](https://haut.ai/product/skingpt?utm_source=referral\&utm_medium=saas_docs\&utm_campaign=Docs_SaaS_HautAI) on haut.ai.

## Sections

### [Effects Management API](/haut.ai/developers/saas-api-overview/api-for-skingpt/effects-management.md)

**Effect** — a group of related levels that together represent a full transformation category, such as aging, pigmentation, or acne. Effects provide the overall context, while levels define the granularity and progression within that context.

### [Effect Level Management API](/haut.ai/developers/saas-api-overview/api-for-skingpt/effect-level-management.md)

**Level** — a vector of parameters that defines a specific transformation or state within a simulation. A level can represent a point in time (e.g., +10 years), or a variation in effect intensity (e.g., minimum, medium, or maximum severity). Each level corresponds to a distinct stage within an effect.

### [Parameters of Simulations](/haut.ai/developers/saas-api-overview/api-for-skingpt/parameters-of-simulations.md)

**Parameter** — a single numeric or categorical value that defines a specific aspect of a level. Parameters control how an effect is visualized by shaping individual features. A collection of parameters forms a level, and adjustments to these parameters result in different simulation outputs.

## How to Upload image to be Processed by SkinGPT

Follow scenario for uploads.

{% content-ref url="/pages/ScgRkl5g8bft3KQ7JGAY" %}
[API for Images](/haut.ai/developers/saas-api-overview/api-for-images.md)
{% endcontent-ref %}

## Receive Generated Images

Follow scenario for retrieving aux images.

{% content-ref url="/pages/vV6BCdXAHS6PTWCYQniT" %}
[API for Aux Images](/haut.ai/developers/saas-api-overview/api-for-images/api-for-aux-images.md)
{% endcontent-ref %}

### Example JSON of aux Images Response

{% file src="/files/8Yh74SrjM7pctHVJ2qmU" %}

```
"id": "76d2cdf3-7b44-4fc0-8f7c-6374593e719e"
```

Indicates ID in our Database

```
"aux_image_type": "skingpt_generated"
```

All generated images have the same aux image type which is **skingpt\_generated**

```
"algo_app": "SkinGPT (Generated vs Original Comparison)
```

Shows which Algorithm Application was used to generate image

```
"meta": {
      "prompt": {
        "age": null,
        "uvi": null,
        "acne": null,
        "name": "Vitamin C 6 w",
```

Each generated image will contain the Prompt of Effect Variant which was used to generate it. This is mostly useful for `name` property to be able to label generated images in your interface.

```
"signed_url": "https://storage.googleapis.com/...",
```

This field contains temporary URL to download your generated image.

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/skingpt?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">SkinGPT on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-skingpt.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
